org.keycloak.authorization.policy.evaluation

## Class AbstractDecisionCollector

- java.lang.Object
- - org.keycloak.authorization.policy.evaluation.AbstractDecisionCollector

- All Implemented Interfaces:
    Decision<DefaultEvaluation>
  Direct Known Subclasses:
    DecisionPermissionCollector, DecisionResultCollector

      public abstract class AbstractDecisionCollector
      extends Object
      implements Decision<DefaultEvaluation>

  Author:
    Pedro Igor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.authorization.Decision

      `Decision.Effect`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<ResourcePermission,Result>` | `results`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDecisionCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isGranted(Result.PolicyResult policyResult)`
    `void` | `onComplete()`
    `protected void` | `onComplete(Collection<Result> permissions)`
    `void` | `onComplete(ResourcePermission permission)`
    `protected void` | `onComplete(Result result)`
    `void` | `onDecision(DefaultEvaluation evaluation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authorization.Decision

      `onError`

- - ### Field Detail

    - #### results

          protected final Map<ResourcePermission,Result> results

  - ### Constructor Detail

    - #### AbstractDecisionCollector

          public AbstractDecisionCollector()

  - ### Method Detail

    - #### onDecision

          public void onDecision(DefaultEvaluation evaluation)

      Specified by:
        `onDecision` in interface `Decision<DefaultEvaluation>`

    - #### onComplete

          public void onComplete()

      Specified by:
        `onComplete` in interface `Decision<DefaultEvaluation>`

    - #### onComplete

          public void onComplete(ResourcePermission permission)

      Specified by:
        `onComplete` in interface `Decision<DefaultEvaluation>`

    - #### onComplete

          protected void onComplete(Result result)

    - #### onComplete

          protected void onComplete(Collection<Result> permissions)

    - #### isGranted

          protected boolean isGranted(Result.PolicyResult policyResult)

Copyright © 2021 JBoss by Red Hat. All rights reserved.